package com.unissoft;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.config.server.EnableConfigServer;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2020年11月18日 11:27
 */

@SpringBootApplication
@EnableConfigServer //开启配置中心功能
public class ConfigStart {
    public static void main(String[] args) {
        SpringApplication.run(ConfigStart.class, args);
    }
}
